summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-01-05 04:29:16 +0000
committerJim Meyering <jim@meyering.net>1999-01-05 04:29:16 +0000
commit2b8ef649696b3a68bc6981b257accef56698b8b3 (patch)
tree3a4a690b999a90ee4bb79ef62afaca257f451a11 /tests
parent5118d575638e8327de674fefabe548e1d89fb215 (diff)
downloadcoreutils-2b8ef649696b3a68bc6981b257accef56698b8b3.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mkdir/concurrent-124
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/mkdir/concurrent-1 b/tests/mkdir/concurrent-1
new file mode 100755
index 000000000..dc6fdf6b0
--- /dev/null
+++ b/tests/mkdir/concurrent-1
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+: ${MKDIR=mkdir}
+
+# TMPDIR should be an absolute dir for this test.
+# FIXME: enforce it
+: ${TMPDIR=/tmp}
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $MKDIR --version
+fi
+
+temp_dir=$TMPDIR/t-mkdir.$$
+tmp=$temp_dir/a/b/c
+rm -rf $temp_dir
+
+$MKDIR --parents $tmp || fail=1
+
+test -d $tmp || fail=1
+
+rm -rf $temp_dir
+
+exit $fail